View Issue Details

This bug affects 1 person(s).
 16
IDProjectCategoryView StatusLast Update
05888Feature requestsOtherpublic2022-06-30 13:15
Reporterflexic Assigned Toc_schmitz  
PrioritynormalSeverity@60@ 
Status assignedResolutionopen 
Summary05888: Using quota to terminate a survey closes multiple use token
Description

This may be expected behavior now, but it wasn't always so figure I'd open a bug ticket. I also posted about the problem here: http://www.limesurvey.org/en/forum/can-i-do-this-with-limesurvey/76225-quota-shutting-down-multiple-use-token-with-millions-of-uses-remaining

Basically if we have a token with a million uses remaining, using quota to terminate a user from the survey when they give a response we don't want closes the whole token. This wasn't always the case, not until 'Uses Left' was added as a field to tokens. Previously a token was manually open or closed, it would not shut automatically.

Steps To Reproduce

1) Add a token with a million uses to a survey

2) Survey Properties -> Quotas -> Add new quota
Quota action: 'Terminate Survey'
Add answer: choose whatever question and select answer

Then go into your tokens, do the survey and choose the question you selected which terminates that user's survey. Try to use the token link again and it will be closed, locking out all other surveyors.

TagsNo tags attached.
Bug heat16

Users monitoring this issue

User List DenisChenu, ryandao

Activities

flexic

flexic

2012-03-12 17:51

reporter   ~17895

Last edited: 2012-03-12 21:32

This problem is perhaps more complex than a simple bugfix?

From looking at the code it appears that 'Uses Left' is decremented by 1, but then is programmed to close the survey immediately after that?

Mazi

Mazi

2012-04-03 12:14

updater   ~18181

Carsten, can you have a look?

c_schmitz

c_schmitz

2012-08-14 23:16

administrator   ~20426

Make quota actions more distinctive.

DenisChenu

DenisChenu

2013-03-20 14:53

developer   ~24809

New quota settings ?

Plugin ? no ?

KBest

KBest

2013-09-09 07:45

reporter   ~26181

Are you still working on this issue?

We have the same problem, because we want users to be able to change their input. How much would a workaround or solution cost if we give you an order?

DenisChenu

DenisChenu

2014-03-04 11:03

developer   ~29087

Hi,

Think the best is 'don't use quota' here.

But :
Use EM to filter question (can use .relevanceStatus to update quicly a lot of question)
Use EM in final page to show text according to pseudo-quota.

Quota are made (actually) to close survey.

DenisChenu

DenisChenu

2014-09-14 10:30

developer   ~30624

See : https://github.com/LimeSurvey/LimeSurvey/commit/535035816af172fc5b82f3fa896cdb73d53c9800#diff-4f4265af29f654380fbda47407b84a09R1988

I'm sure it can be done on a plugin now, ligth plugin
http://manual.limesurvey.org/AfterSurveyQuota

DenisChenu

DenisChenu

2014-09-18 16:08

developer   ~30681

@c_schmitz : i can take it and do a little plugin in plugin directory of LS installation (can be activated) with:

  • Plugin global setting : Quota close completely token (use left more than 1 or survey setting Allow update response) : checked by default (no change for actual solution)
  • Survey setting : same thing : get Global setting by default.

The user can :

  • Choose if they need this for one, some or all survey.

Denis

galads

galads

2021-10-28 09:31

administrator   ~66976

Is this still a problem in LS3 and LS5? Otherwise, I will close the report

Issue History

Date Modified Username Field Change
2012-03-08 18:24 flexic New Issue
2012-03-11 10:36 c_schmitz Project Bug reports => Development
2012-03-12 07:21 ryandao Issue Monitored: ryandao
2012-03-12 17:51 flexic Note Added: 17895
2012-03-12 21:32 flexic Note Edited: 17895
2012-04-03 12:14 Mazi Assigned To => c_schmitz
2012-04-03 12:14 Mazi Status new => assigned
2012-04-03 12:14 Mazi Note Added: 18181
2012-08-14 23:16 c_schmitz Note Added: 20426
2012-08-14 23:16 c_schmitz Target Version => 2.1
2013-03-18 22:29 c_schmitz Target Version 2.1 => 2.05
2013-03-20 14:53 DenisChenu Note Added: 24809
2013-09-09 07:45 KBest Note Added: 26181
2013-10-05 09:12 DenisChenu Issue Monitored: DenisChenu
2014-03-04 11:03 DenisChenu Note Added: 29087
2014-09-14 10:30 DenisChenu Note Added: 30624
2014-09-18 16:08 DenisChenu Note Added: 30681
2021-10-28 09:31 galads Note Added: 66976
2022-06-30 13:15 c_schmitz Project Development => Feature requests
2022-06-30 13:15 c_schmitz Category Tokens => Other